Bug 1472882 - (CVE-2017-10686) CVE-2017-10686 nasm: Use-after-free in the detoken() function
CVE-2017-10686 nasm: Use-after-free in the detoken() function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170624,repor...
: Security
Depends On: 1472885
Blocks: 1472886
  Show dependency treegraph
 
Reported: 2017-07-19 11:13 EDT by Andrej Nemec
Modified: 2017-08-18 00:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 09:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-19 11:13:27 EDT
In Netwide Assembler (NASM), there are multiple heap use after free vulnerabilities in the tool nasm. The related heap is allocated in the token() function and freed in the detoken() function (called by pp_getline()) - it is used again at multiple positions later that could cause multiple damages. For example, it causes a corrupted double-linked list in detoken(), a double free or corruption in delete_Token(), and an out-of-bounds write in detoken().

Upstream issue:

https://bugzilla.nasm.us/show_bug.cgi?id=3392414
Comment 1 Andrej Nemec 2017-07-19 11:15:50 EDT
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1472885]
Comment 3 Stefan Cornelius 2017-08-03 06:03:36 EDT
Patch:
http://repo.or.cz/nasm.git/commit/736be08cf3ec4d1da31f350359feb8c1c782de9a
http://repo.or.cz/nasm.git/commit/f9ec5bbd2af6ff5276f1fd5ab52df4ed7b096344

Note that 736be08cf3ec4d1da31f350359feb8c1c782de9a trades a use-after-free for a memory leak. Not very elegant, but for the normal nasm use cases that I can imagine this is probably OK.
Comment 4 Stefan Cornelius 2017-08-07 09:40:46 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 5 Fedora Update System 2017-08-17 20:25:17 EDT
nasm-2.13.01-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2017-08-18 00:49:08 EDT
nasm-2.13.01-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.